﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1Tile_DataBinding
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'photoDBDataSet.Photos' table. You can move, or remove it, as needed.
            this.photosTableAdapter.Fill(this.photoDBDataSet.Photos);

        }

        private void c1TileControl1_CompareGroups(object sender, C1.Win.C1Tile.CompareGroupsEventArgs e)
        {
            if (e.Group1.Tiles.Count < e.Group2.Tiles.Count)
                e.Result = -1;
        }

        private void c1TileControl1_CompareTiles(object sender, C1.Win.C1Tile.CompareTilesEventArgs e)
        {
            int result = String.Compare(e.Tile1.Text, e.Tile2.Text);
            //Console.WriteLine(e.Tile1.Text + " " + e.Tile2.Text + "=" + result);
            e.Result = result;

            e.Tile1.BackColor = e.Tile1.Text.StartsWith("Dave") ? Color.Khaki : e.Tile1.BackColor;
            e.Tile1.BackColor = e.Tile1.Text.StartsWith("Jason") ? Color.CornflowerBlue : e.Tile1.BackColor;
            e.Tile1.BackColor = e.Tile1.Text.StartsWith("Martha") ? Color.Cyan : e.Tile1.BackColor;
            e.Tile1.BackColor = e.Tile1.Text.StartsWith("Thomas") ? Color.Firebrick : e.Tile1.BackColor;
            e.Tile1.BackColor = e.Tile1.Text.StartsWith("Maria S") ? Color.LightPink : e.Tile1.BackColor;
            e.Tile1.BackColor = e.Tile1.Text.StartsWith("David") ? Color.ForestGreen : e.Tile1.BackColor;
        }

        private void c1TileControl1_FilterItem(object sender, C1.Win.C1Tile.FilterItemEventArgs e)
        {
            //Console.WriteLine(e.Item);
            System.Data.DataRowView rv = (System.Data.DataRowView)e.Item;
            //Console.WriteLine(rv["Country"]);
            if (rv["Country"].ToString() == "Spain")
            {
                e.Skip = true;
            }
        }

        private void c1TileControl1_FormatValue(object sender, C1.Win.C1Tile.FormatValueEventArgs e)
        {
            if (e.TileProperty == C1.Win.C1Tile.TileProperty.Group)
            {
                if (e.Value.ToString() == "Germany")
                {
                    e.Value = e.Value.ToString().ToUpper();
                    //Console.WriteLine(e.Value);
                }
            }
            if (e.TileProperty == C1.Win.C1Tile.TileProperty.BackColor)
            {
                e.Value = e.Value.ToString().StartsWith("A") ? Color.AliceBlue : Color.Gray;
            }
        }
    }
}
